﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LicensePlateReaderApplication
{
    [Serializable]
    public class LPREvent
    {
        public DateTime TimeStamp { get; set; }
        public Locations Location { get; set; }
        public string VehicleRegNo { get; set; }
        public int Speed { get; set; }
        static Random random = new Random();

        public static LPREvent CreateEvent()
        {
            return new LPREvent
            {
                TimeStamp = DateTime.Now,
                Location = (Locations)random.Next(10),
                VehicleRegNo = "xxxxx",
                Speed = random.Next(100)
            };
        }
    }
}
